
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Python使用urllib2获取网络资源实例讲解 / iVAN</title>

    <meta name="description" content="Python使用urllib2获取网络资源实例讲解       urllib2是Python的一个获取URLs(Uniform Resource Locators)的组件.他以urlopen函数的形式提供了一个非常简单的接口,下面我们用实例讲解他的使用方法 这是具有利用不同协议获取URLs的能力,他同样提供了一个比较复杂的接口来处理一般情况,例如:基础验证,cookies,代理和其他. 它们通过handlers和openers的对象提供. urllib2支持获取不同格式的URLs(在URL的&quot;:&quot;前定义的字串,例如:&quot ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Python使用urllib2获取网络资源实例讲解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>      urllib2是Python的一个获取URLs(Uniform Resource  Locators)的组件。他以urlopen函数的形式提供了一个非常简单的接口，下面我们用实例讲解他的使用方法</p>
<p>这是具有利用不同协议获取URLs的能力，他同样提供了一个比较复杂的接口来处理一般情况，例如：基础验证，cookies,代理和其他。<br />
它们通过handlers和openers的对象提供。<br />
urllib2支持获取不同格式的URLs(在URL的":"前定义的字串,例如："ftp"是"ftp:python.ort/"的前缀),它们利用它们相关网络协议(例如FTP,HTTP)<br />
进行获取。这篇教程关注最广泛的应用--HTTP。<br />
对于简单的应用，urlopen是非常容易使用的。但当你在打开HTTP的URLs时遇到错误或异常，你将需要一些超文本传输协议(HTTP)的理解。<br />
最权威的HTTP文档当然是RFC  2616(http://rfc.net/rfc2616.html)。这是一个技术文档，所以并不易于阅读。这篇HOWTO教程的目的是展现如何使用urllib2,<br />
并提供足够的HTTP细节来帮助你理解。他并不是urllib2的文档说明，而是起一个辅助作用。<br />
获取  URLs</p>
<p>最简单的使用urllib2将如下所示</p>
<p>复制代码 代码如下:<br />
import urllib2<br />
response =  urllib2.urlopen('http://python.org/')<br />
html = response.read()</p>
<p>urllib2的很多应用就是那么简单(记住，除了"http:",URL同样可以使用"ftp:","file:"等等来替代)。但这篇文章是教授HTTP的更复杂的应用。<br />
HTTP是基于请求和应答机制的--客户端提出请求，服务端提供应答。urllib2用一个Request对象来映射你提出的HTTP请求,在它最简单的使用形式中你将用你要请求的<br />
地址创建一个Request对象，通过调用urlopen并传入Request对象，将返回一个相关请求response对象，这个应答对象如同一个文件对象，所以你可以在Response中调用.read()。</p>
<p>复制代码 代码如下:<br />
import urllib2<br />
req =  urllib2.Request('http://www.jb51.net')<br />
response =  urllib2.urlopen(req)<br />
the_page = response.read()</p>
<p>记得urllib2使用相同的接口处理所有的URL头。例如你可以像下面那样创建一个ftp请求。</p>
<p>复制代码 代码如下:<br />
req = urllib2.Request('ftp://example.com/')</p>
<p>在HTTP请求时，允许你做额外的两件事。首先是你能够发送data表单数据，其次你能够传送额外的关于数据或发送本身的信息("metadata")到服务器，此数据作为HTTP的"headers"来发送。<br />
接下来让我们看看这些如何发送的吧。<br />
Data数据<br />
有时候你希望发送一些数据到URL(通常URL与CGI[通用网关接口]脚本，或其他WEB应用程序挂接)。在HTTP中,这个经常使用熟知的POST请求发送。这个通常在你提交一个HTML表单时由你的浏览器来做。<br />
并不是所有的POSTs都来源于表单，你能够使用POST提交任意的数据到你自己的程序。一般的HTML表单，data需要编码成标准形式。然后做为data参数传到Request对象。编码工作使用urllib的函数而非<br />
urllib2。</p>
<p> 代码如下:<br />
import urllib<br />
import urllib2</p>
<p>url = 'http://www.jb51.net'<br />
values = {'name' : 'Michael  Foord',<br />
          'location' : 'Northampton',<br />
          'language' :  'Python' }</p>
<p>data = urllib.urlencode(values)<br />
req = urllib2.Request(url,  data)<br />
response = urllib2.urlopen(req)<br />
the_page = response.read()</p>
<p> </p>
<p>记住有时需要别的编码(例如从HTML上传文件--看http://www.w3.org/TR/REC-html40/interact/forms.html#h-17.13  HTML Specification, Form  Submission的详细说明)。<br />
如ugoni没有传送data参数，urllib2使用GET方式的请求。GET和POST请求的不同之处是POST请求通常有"副作用"，它们会由于某种途径改变系统状态(例如提交成堆垃圾到你的门口)。<br />
尽管HTTP标准说的很清楚POSTs通常会产生副作用，GET请求不会产生副作用，但没有什么可以阻止GET请求产生副作用，同样POST请求也可能不产生副作用。Data同样可以通过在Get请求<br />
的URL本身上面编码来传送。<br />
可看如下例子</p>
<p> 代码如下:<br />
 &gt;&gt;&gt; import urllib2 <br />
 &gt;&gt;&gt; import  urllib <br />
 &gt;&gt;&gt; data = {} <br />
 &gt;&gt;&gt; data['name'] = 'Somebody  Here' <br />
 &gt;&gt;&gt; data['location'] = 'Northampton' <br />
 &gt;&gt;&gt;  data['language'] = 'Python' <br />
 &gt;&gt;&gt; url_values =  urllib.urlencode(data) <br />
 &gt;&gt;&gt; print url_values  <br />
 name=Somebody+Here&amp;language=Python&amp;location=Northampton  <br />
 &gt;&gt;&gt; url = 'http://www.jb51.net' <br />
 &gt;&gt;&gt; full_url = url +  '?' + url_values <br />
 &gt;&gt;&gt; data = urllib2.open(full_url)</p>
<p>Headers<br />
我们将在这里讨论特定的HTTP头，来说明怎样添加headers到你的HTTP请求。<br />
有一些站点不喜欢被程序（非人为访问）访问，或者发送不同版本的内容到不同的浏览器。默认的urllib2把自己作为“Python-urllib/x.y”(x和y是Python主版本和次版本号,例如Python-urllib/2.5)，<br />
这个身份可能会让站点迷惑，或者干脆不工作。浏览器确认自己身份是通过User-Agent头，当你创建了一个请求对象，你可以给他一个包含头数据的字典。下面的例子发送跟上面一样的内容，但把自身<br />
模拟成Internet  Explorer。</p>
<p>复制代码 代码如下:<br />
import urllib<br />
import urllib2</p>
<p>url = 'http://www.jb51.net'<br />
user_agent = 'Mozilla/4.0 (compatible; MSIE  5.5; Windows NT)'<br />
values = {'name' : 'Michael Foord',<br />
          'location'  : 'Northampton',<br />
          'language' : 'Python' }<br />
headers = {  'User-Agent' : user_agent }</p>
<p>data = urllib.urlencode(values)<br />
req = urllib2.Request(url, data,  headers)<br />
response = urllib2.urlopen(req)<br />
the_page = response.read()</p>
<p> </p>
<p>response应答对象同样有两个很有用的方法。看下面的节info and geturl，我们将看到当发生错误时会发生什么。<br />
Handle  Exceptions处理异常<br />
当urlopen不能够处理一个response时，产生urlError（不过通常的Python  APIs异常如ValueError,TypeError等也会同时产生）。<br />
HTTPError是urlError的子类，通常在特定HTTP  URLs中产生。<br />
URLError<br />
通常，URLError在没有网络连接(没有路由到特定服务器),或者服务器不存在的情况下产生。这种情况下，异常同样会带有"reason"属性，它是一个tuple，包含了一个错误号和一个错误信息。<br />
例如</p>
<p>复制代码 代码如下:<br />
&gt;&gt;&gt; req =  urllib2.Request('http://www.jb51.net')<br />
&gt;&gt;&gt; try:  urllib2.urlopen(req)<br />
&gt;&gt;&gt; except URLError, e:<br />
&gt;&gt;&gt;     print e.reason<br />
&gt;&gt;&gt;<br />
(4, 'getaddrinfo failed')</p>
<p>HTTPError<br />
服务器上每一个HTTP  应答对象response包含一个数字"状态码"。有时状态码指出服务器无法完成请求。默认的处理器会为你处理一部分这种应答(例如:假如response是一个"重定向"，需要客户端从别的地址获取文档<br />
，urllib2将为你处理)。其他不能处理的，urlopen会产生一个HTTPError。典型的错误包含"404"(页面无法找到)，"403"(请求禁止)，和"401"(带验证请求)。<br />
请看RFC  2616 第十节有所有的HTTP错误码<br />
HTTPError实例产生后会有一个整型'code'属性，是服务器发送的相关错误号。<br />
Error  Codes错误码<br />
因为默认的处理器处理了重定向(300以外号码)，并且100-299范围的号码指示成功，所以你只能看到400-599的错误号码。<br />
BaseHTTPServer.BaseHTTPRequestHandler.response是一个很有用的应答号码字典，显示了RFC  2616使用的所有的应答号。这里为了方便重新展示该字典。（译者略）<br />
当一个错误号产生后，服务器返回一个HTTP错误号，和一个错误页面。你可以使用HTTPError实例作为页面返回的应答对象response。这表示和错误属性一样，它同样包含了read,geturl,和info方法。</p>
<p>复制代码 代码如下:<br />
&gt;&gt;&gt; req =  urllib2.Request('http://www.python.org/fish.html')<br />
&gt;&gt;&gt;  try:<br />
&gt;&gt;&gt;     urllib2.urlopen(req)<br />
&gt;&gt;&gt; except URLError,  e:<br />
&gt;&gt;&gt;     print e.code<br />
&gt;&gt;&gt;     print  e.read()<br />
&gt;&gt;&gt;</p>
<p> </p>
<p>复制代码 代码如下:<br />
404<br />
&lt;!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01  Transitional//EN"<br />
  "http://www.w3.org/TR/html4/loose.dtd"&gt;<br />
&lt;?xml-stylesheet  href="./css/ht2html.css"<br />
   type="text/css"?&gt;<br />
&lt;html&gt;&lt;head&gt;&lt;title&gt;Error 404: File Not  Found&lt;/title&gt;<br />
...... etc...</p>
<p>Wrapping it  Up包装<br />
所以如果你想为HTTPError或URLError做准备，将有两个基本的办法。我则比较喜欢第二种。<br />
第一个：</p>
<p>复制代码 代码如下:<br />
from urllib2 import Request, urlopen, URLError,  HTTPError<br />
req = Request(someurl)<br />
try:<br />
    response =  urlopen(req)<br />
except HTTPError, e:<br />
    print 'The server couldn't fulfill  the request.'<br />
    print 'Error code: ', e.code<br />
except URLError, e:<br />
     print 'We failed to reach a server.'<br />
    print 'Reason: ',  e.reason<br />
else:<br />
    # everything is fine</p>
<p>注意：except HTTPError 必须在第一个，否则except URLError将同样接受到HTTPError。<br />
第二个：</p>
<p>复制代码 代码如下:<br />
from urllib2 import Request, urlopen, URLError<br />
req =  Request(someurl)<br />
try:<br />
    response = urlopen(req)<br />
except URLError,  e:<br />
    if hasattr(e, 'reason'):<br />
        print 'We failed to reach a  server.'<br />
        print 'Reason: ', e.reason<br />
    elif hasattr(e,  'code'):<br />
        print 'The server couldn't fulfill the request.'<br />
         print 'Error code: ', e.code<br />
else:<br />
    # everything is fine</p>
<p>info and geturl  <br />
urlopen返回的应答对象response(或者HTTPError实例)有两个很有用的方法info()和geturl()<br />
geturl --  这个返回获取的真实的URL，这个很有用，因为urlopen(或者opener对象使用的)或许<br />
会有重定向。获取的URL或许跟请求URL不同。<br />
info  -- 这个返回对象的字典对象，该字典描述了获取的页面情况。通常是服务器发送的特定头headers。目前是httplib.HTTPMessage  实例。<br />
经典的headers包含"Content-length"，"Content-type"，和其他。查看Quick Reference to HTTP  Headers获取有用的HTTP头列表，以及它们的解释意义。<br />
Openers和Handlers<br />
当你获取一个URL你使用一个opener(一个urllib2.OpenerDirector的实例，urllib2.OpenerDirector可能名字可能有点让人混淆。)正常情况下，我们<br />
使用默认opener  --  通过urlopen,但你能够创建个性的openers，Openers使用处理器handlers，所有的“繁重”工作由handlers处理。每个handlers知道<br />
如何通过特定协议打开URLs，或者如何处理URL打开时的各个方面，例如HTTP重定向或者HTTP  cookies。<br />
如果你希望用特定处理器获取URLs你会想创建一个openers，例如获取一个能处理cookie的opener，或者获取一个不重定向的opener。<br />
要创建一个  opener,实例化一个OpenerDirector，然后调用不断调用.add_handler(some_handler_instance).<br />
同样，可以使用build_opener，这是一个更加方便的函数，用来创建opener对象，他只需要一次函数调用。<br />
build_opener默认添加几个处理器，但提供快捷的方法来添加或更新默认处理器。<br />
其他的处理器handlers你或许会希望处理代理，验证，和其他常用但有点特殊的情况。<br />
install_opener  用来创建（全局）默认opener。这个表示调用urlopen将使用你安装的opener。<br />
Opener对象有一个open方法，该方法可以像urlopen函数那样直接用来获取urls：通常不必调用install_opener，除了为了方便。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 02:49:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/response/" title="response">response</a>, <a href="https://www.iamivan.net/tag/response%c2%a0code-%c2%a0400/" title="response&nbsp;code&colon;&nbsp;400">response&nbsp;code&colon;&nbsp;400</a>, <a href="https://www.iamivan.net/tag/%e8%8e%b7%e5%8f%96response%e5%af%b9%e8%b1%a1/" title="获取response对象">获取response对象</a>, <a href="https://www.iamivan.net/tag/urllib/" title="urllib">urllib</a>, <a href="https://www.iamivan.net/tag/urlopen/" title="urlopen">urlopen</a>, <a href="https://www.iamivan.net/tag/urllib2/" title="urllib2">urllib2</a>, <a href="https://www.iamivan.net/tag/urllib%e7%9a%84%e4%bd%bf%e7%94%a8/" title="urllib的使用">urllib的使用</a>, <a href="https://www.iamivan.net/tag/python%e9%aa%8c%e8%af%81%e7%a0%81/" title="python验证码">python验证码</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Python使用urllib2获取网络资源实例讲解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNj3qJM.html" rel="bookmark">Python使用urllib2获取网络资源实例讲解&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是具有利用不同协议获取URLs的能力,他同样提供了一个比较复杂的接口来处理一般情况,例如:基础验证,cookies,代理和其他.它们通过handlers和openers的对象提供.urllib2支持获取不同格式的URLs(在URL的&quot;:&quot;前定义的字串,例如:&quot;ftp&quot;是&quot;ftp:python.ort/&quot;的前缀),它们利用它们相关网络协议(例如FTP,HTTP)进行获取.这篇教程关注最广泛的应用--HTTP.对于简单的应用,urlopen是非常容			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdEGGNz.html" rel="bookmark">python通过urllib2获取带有中文参数url内容的方法&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了python通过urllib2获取带有中文参数url内容的方法.分享给大家供大家参考.具体如下: 对于中文的参数如果不进行编码的话,python的urllib2直接处理会报错,我们可以先将中文转换成utf-8编码,然后使用urllib2.quote方法对参数进行url编码后传递. content = u'你好 jb51.net' content = content.encode('utf-8') content = urllib2.quote(content) api_url =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQw2NGp.html" rel="bookmark">使用jsonp实现跨域获取数据实例讲解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js部分 (function(window, document) {   'use strict';   varjsonp =function(url, data, callback) {     //1.挂载回调函数     varfnsuffix = Math.random().toString().replace('.','');     varcbFuncName ='my_json_cb'+ fnsuffix;     window[cbFuncName] = callback;   			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd0wRmp.html" rel="bookmark">实例讲解JSP获取ResultSet结果集中的数据的方法&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				获得所有的记录 &lt;%@page language=&quot;java&quot; contentType=&quot;text/html;charset=gb2312&quot;%&gt; &lt;%@page import=&quot;java.sql.*&quot; %&gt; &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;查询所有用户的记录&lt;/title&gt; &lt;/head&gt; &lt;body&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baak5Nb.html" rel="bookmark">对于Python中线程问题的简单讲解&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们将会看到一些在Python中使用线程的实例和如何避免线程之间的竞争.你应当将下边的例子运行多次,以便可以注意到线程是不可预测的和线程每次运行出的不同结果.声明:从这里开始忘掉你听到过的关于GIL的东西,因为GIL不会影响到我想要展示的东西. 示例1 我们将要请求五个不同的url:单线程  import time import urllib2 def get_responses(): urls = [ 'http://www.google.com', 'http://www.amazon.co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRq3Xkb.html" rel="bookmark">实例讲解如何绕过 Office 文档的反分析技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是实例讲解如何绕过 Office 文档的反分析技术,今天我们来试着分析一个使用Word文档的恶意VBA项目.该文档的作者对文件中的VBA项目进行了密码保护,以防止对恶意代码的检查,同时也使用了一些防止密码删除的技术.因此自动分析工具就基本不起作用了,但我们还是展示了如何跨越所有这些反分析障碍的技术,下面我们开始. 我们首先打开文档,然后就会接到一个钓鱼消息,声称该文档是使用早期版本的Microsoft Office创建的,想要查看内容的话我们必须启用宏.  当我们启用宏时,文档开始指向c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjwLXdM.html" rel="bookmark">python 排序算法总结及实例详解&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				总结了一下常见集中排序的算法 归并排序 归并排序也称合并排序,是分治法的典型应用.分治思想是将每个问题分解成个个小问题,将每个小问题解决,然后合并. 具体的归并排序就是,将一组无序数按n/2递归分解成只有一个元素的子项,一个元素就是已经排好序的了.然后将这些有序的子元素进行合并. 合并的过程就是 对 两个已经排好序的子序列,先选取两个子序列中最小的元素进行比较,选取两个元素中最小的那个子序列并将其从子序列中 去掉添加到最终的结果集中,直到两个子序列归并完成. 代码如下: #!/usr/bin/p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2d5vM.html" rel="bookmark">实例讲解在C&plus;&plus;的函数中变量参数及默认参数的使用&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				包含变量参数列表的函数如果函数声明中最后一个成员是省略号 (...),则函数声明可采用数量可变的参数.在这些情况下,C++ 只为显式声明的参数提供类型检查.即使参数的数量和类型是可变的,在需要使函数泛化时也可使用变量参数列表.函数的系列是一个使用变量参数列表的函数的示例.printfargument-declaration-list 包含变量参数的函数 若要访问声明后的参数,请使用包含在标准包含文件 STDARG.H 中的宏(如下所述). 采用数量可变的参数的函数声明至少需要一个占位符参数(即使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z44o48z.html" rel="bookmark">python快速查找算法应用实例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Python快速查找算法的应用,分享给大家供大家参考. 具体实现方法如下: import random def partition(list_object,start,end): random_choice = start #random.choice(range(start,end+1)) #把这里的start改成random()效率会更高些 x = list_object[random_choice] i = start j = end while True: while li			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk24wEM.html" rel="bookmark" class="title">COM组件开发实践（七）---多线程ActiveX控件和自动调整ActiveX控件大小&lpar;上&rpar;</a>
					<div>
						声明:本文代码基于CodeProject的文章&lt;A Complete ActiveX Web Control Tutorial&gt;修改而来,因此同样遵循Code Project Open L ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBwmyb.html" rel="bookmark" class="title">城市热点高校校园网用户与流量管理方案</a>
					<div>
						城市热点高校校园网用户与流量管理方案含Dr.COM校园网宽带认证计费解决方案和Dr.COM网络协议分 析及流量控制系统.根据网络复杂性及应用复杂性需要高可用解决方案,城市热点为此提出N+1多机热备 . ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj73XmM.html" rel="bookmark" class="title">ps绘制立体金属感放大镜图标</a>
					<div>
						教程教三联的朋友们用PS鼠绘逼真质感如何用photoshop制作一个高光.金属质感很强的放大镜图标,教程难度不大,主要用到了圆角矩形和图层样式,先看效果图.   新建文档600x700像素,背景白色, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnKvmz.html" rel="bookmark" class="title">WPS Office 2013新品评测</a>
					<div>
						  拥有25年发展历程的WPS,终于在这个月底推出最新版的WPS 2013.这次新版WPS 2013启动界面的曝光更是让人对产品充满了期待,从启动界面的感觉看,新版WPS的UI设计更加简洁.大气,期待 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o2QWb.html" rel="bookmark" class="title">PhotoShop教程&colon;绘制吉他音乐海报</a>
					<div>
						最终效果图!   1.photoshop教程新建一个文档,大小随意,这里为480x300. 2.设置背景色为黑色((#000000)前景色为灰色((#555555),然后在画布中心拉一个径向渐变 图片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwJGlb.html" rel="bookmark" class="title">Windows操作系统下桌面图标如何设置</a>
					<div>
						  我们会经常遇到这样的问题,如何将电脑桌面图标下的字背景设置成透明的?在属性里找了好久,但是还是没有弄成,下面介绍几种解决方法. 方法1 1.右击桌面→排列图标→把&quot;在桌面上锁定定Web项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eKmLb.html" rel="bookmark" class="title">android systemui-小弟修改systemUI遇到个问题</a>
					<div>
						问题描述 小弟修改systemUI遇到个问题 在修改systemUI代码遇到个很奇怪的问题在我删除 layout 和 layout-sw600dp 里面的 super_status_bar.xml这时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWZgRb.html" rel="bookmark" class="title">PostgreSQL 金融行业高可用和容灾解决方案</a>
					<div>
						背景 金融行业高度依赖共享存储来解决高可用,数据0丢失以及异地容灾的问题. 开源数据库PostgreSQL基于复制的解决方案能不能解决0丢失,高可用以及容灾的问题? 完全可以,而且更灵活,更可靠. P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWKE6p.html" rel="bookmark" class="title">网站外链的个人观点和操作</a>
					<div>
						友情链接观点 关于友情链接其实说法有很多总,有的说友情链接可以给网站带来许多的直接的访问量,还有的说网站的友情链接数量做的越多,他的网站等级就越高,但是我做为一个seo教程操作者的角度分析友情链接的作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3Wevz.html" rel="bookmark" class="title">jQery使网页在显示器上居中显示适用于任何分辨率&lowbar;jquery</a>
					<div>
						检测屏幕宽度,并设置为id为frame的div宽度, 根据自己网页的最大宽度来调节,小demo最大宽度为1440 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkRQDb.html" rel="bookmark" class="title">关于axis</a>
					<div>
						问题描述 &lt;definitionstargetNamespace=&quot;http://inf.webservice.firephoenixneo.com/&quot;&gt;&lt;typ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoLK0b.html" rel="bookmark" class="title">关于C&num;中使用aforge用摄像头保存视频的问题</a>
					<div>
						问题描述 代码就是在本坛找的,一直提示这句代码有问题writer=newAVIWriter(&quot;wmv3&quot;);writer.Open(System.DateTime.Now.ToSt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDedLlb.html" rel="bookmark" class="title">服务器-Android中如何轮训不耗费大量的流量和电力</a>
					<div>
						问题描述 Android中如何轮训不耗费大量的流量和电力 现在需要写一个轮训,如果服务器有新的数据,一段时间进行查询一下,看是否有新的数据!我知道可以写一个线程去访问!但是有没有更好的方法呢?求大神支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqe6yz.html" rel="bookmark" class="title">c&num; winform-C&num; WebBrowser StatusText 取不到值</a>
					<div>
						问题描述 C# WebBrowser StatusText 取不到值 WebBrowser 加载完成后,鼠标没有进行在页面上滚动或移动到其他链接上的一次操作, 在点击超链接的时候 StatusText ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmZ1Nb.html" rel="bookmark" class="title">Tomcat发布web项目中文乱码问题</a>
					<div>
						问题描述 Tomcat发布web项目中文乱码问题 我写了一个java web项目, 在eclipse下发布到tomcat上,运行没有问题,在所有的浏览器上都可以支持下载功能. 但是当我把web项目打成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0jvjp.html" rel="bookmark" class="title">java-jsp实现上传图片的功能。带有剪切图片的功能的纯js实现。谢谢~</a>
					<div>
						问题描述 jsp实现上传图片的功能.带有剪切图片的功能的纯js实现.谢谢~ jsp实现上传图片的功能.带有剪切图片的功能的纯js实现.谢谢~ 解决方案 通过JS实现上传图片的功能用jsp实现图片上传功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4e2OYb.html" rel="bookmark" class="title">信息上传随意 网友多生悔意</a>
					<div>
						新华社今晨电 在网络上畅所欲言,上传各种图片,过后会不会后悔?英国一项http://www.aliyun.com/zixun/aggregation/32268.html&quot;&gt;调查显示, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod0XXM.html" rel="bookmark" class="title">100分求 条码库或者dll</a>
					<div>
						问题描述 gs1/ean/ucc-128auto必须要这种的编码其他等于0求类或者现成的dllfreebarcode软件的dllVC写的本机regsvr32注册不了所以放弃 解决方案 解决方案二:顶顶 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqe7yb.html" rel="bookmark" class="title">android 地图乱码</a>
					<div>
						问题描述 在部分机型中,百度地图jar,发送地理位置时候会出现乱码问题, 解决方案 哪里乱码,截图看看					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Yd3Bz.html" rel="bookmark" class="title">c c&plus;&plus;-C&plus;&plus;字符串分割问题 急求啊</a>
					<div>
						问题描述 C++字符串分割问题 急求啊 一个字符串为str=&quot;[1,2,3,[2,3]]&quot;,如何将str转换为四个字符串,即为str1=&quot;1&quot;,str2=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqglmb.html" rel="bookmark" class="title">新手求助大神</a>
					<div>
						问题描述 我设置了一个picturebox放置一张图片想在图片不同的位置鼠标移动上去切换不同的图片用label控件总是不行移动上去没反应 解决方案 解决方案二:要看你的代码,是不是坐标计算的问题解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqYyqp.html" rel="bookmark" class="title">数据库模型设计&mdash;&mdash;历史与版本设计</a>
					<div>
						在企业数据库设计中,经常会遇到一个需求,就是希望把操作之前的数据保留下来,能够看到操作之前是什么数据,操作之后是什么数据.对于这种需求,我们可以使用保留历史数据或者使用版本来实现. 为了能够保留历史数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNneqWM.html" rel="bookmark" class="title">欧洲银行首先遭殃</a>
					<div>
						 美国软件安全公司迈克菲和防止在线欺诈的公司Guardian Analytics共同发布的一份报告显示,在最新一轮的全球网络攻击中,黑客们将目标对准全球各地的企业和个人存款数额高的银行账户,从欧洲.美 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWLlkz.html" rel="bookmark" class="title">草根站长的达摩克利斯之剑：备案严查或再浮水面</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网站备案一直是悬在诸多中小站长头上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLq73M.html" rel="bookmark" class="title">关于多个Ajax请求执行返回先后的问题示例探讨&lowbar;AJAX相关</a>
					<div>
						有时候在一个业务事件处理流程上,可能会遇到点击了一个按钮或者其他事件触发了一个动作 需要执行两个以上的Ajax请求,但是可能要顾虑到Ajax请求执行的先后顺序,有时候Ajax请求顺序出问题,会导致各种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKq0KZp.html" rel="bookmark" class="title">Windows系统下Node&period;js的简单入门教程&lowbar;node&period;js</a>
					<div>
						随着近日Paypal和Netflix宣告 迁移到Node.js, 服务器端Javascript平台已经证明其自身在企业领域的价值. 这对于Node来说是一小步,对于Javascript而言却是一大跨越 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkLXez.html" rel="bookmark" class="title">PHP默认安装产生系统漏洞</a>
					<div>
						这一个漏洞在 packetstorm 被发表,我把它翻成中文,加上自己的一些注解,希望对在 NT 上执行PHP 的朋友有一些帮助.当你下载 PHP 後,在它内含的安装文件中帮助了 PHP 在 NT + ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOBr7b.html" rel="bookmark" class="title">google adsense 赚钱的思考</a>
					<div>
						如果去查询一下如何申请google adsense,如何提高广告的点击率的文章,如何写伪原创文章和搜索引擎&quot;斗智斗勇&quot;的内容比比皆是.到处都是浮躁的人们.目前国内的谷歌广告(中文) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QKdaM.html" rel="bookmark" class="title">宝胜股份非公开增发获证监会通过</a>
					<div>
						宝胜股份(600973)1月12日晚间公告称,公司非公开发行股票的申请于1月12日获得中国证监会发审委审核通过. 据发行方案,公司将定向增发不超过6000万股,拟募集资金总额不超过8.51亿元.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVd7Z4M.html" rel="bookmark" class="title">硕美科高端游戏耳机大促销</a>
					<div>
						硕美科E-95冠军版耳机是一款高端游戏耳机产品,这款耳机采用了8单元设计,使用5.1声道音效系统,能够带来出色的游戏体验效果,是游戏玩家们非常不错的选择.耳机带有长柄型麦克风,定位方便,通话音质十分清 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
